package com.chenyang.nse.bussiness.service.core;

import com.chenyang.nse.bussiness.dao.PageInfo;
import com.chenyang.nse.bussiness.entity.orm.table.core.desensitizationtask.Desensitizationtask;
import com.chenyang.nse.bussiness.entity.orm.table.core.scheduler.TCoreSchedulerKmRules;
import com.chenyang.nse.bussiness.entity.orm.table.core.scheduler.TCoreSchedulerRules;
import com.chenyang.nse.bussiness.entity.param.scheduler.AddSchedulerParam;
import com.chenyang.nse.bussiness.entity.vo.ResultVO;
import com.chenyang.nse.bussiness.entity.vo.scheduler.RulesVO;
import java.text.ParseException;
import java.util.List;

public interface SchedulerService {
   String saveSchedualTask(TCoreSchedulerKmRules schedulerRule) throws ParseException;

   List<Desensitizationtask> getAddUnSaveTask(String id, String srname);

   ResultVO saveSchedulerTask(AddSchedulerParam asp);

   void removeSchedulerTask(String rulesid);

   void initProjectStart();

   void initDeletefileStart();

   ResultVO repeatTaskName(String srName);

   void modifyRuleValidity(String schedulerRuleId, Boolean isRemove);

   void removeSchedulerRelationByMaskingId(String maskingId);

   String generateTicket();

   ResultVO startSchedulerTask(String rulesid);

   ResultVO stopSchedulerTask(String rulesid);

   List<RulesVO> getSchedulerTable(PageInfo pageinfo, String projectid);

   List<Desensitizationtask> getEditUnSaveTask(String id, String projectid, String srname);

   ResultVO saveNewSchedulerTask(AddSchedulerParam asp);

   List<Desensitizationtask> getAddUnSaveTask(String id);

   TCoreSchedulerRules selectscheduler(String id);

   List<TCoreSchedulerRules> repeatTaskName1(String srName, String projectid);

   void executeTask(String taskid, String schedulerId) throws Exception;
}
